import React from 'react';
import { register } from '@/assets/images';

export default function ReviewProgress(props) {
  const fakeData = [
    {
      handlerUserName: '天河区棠下街综治中心',
      finishTime: new Date().getTime() - 24 * 60 * 60 * 1000, // 一天前的时间
      handleResult: '1',
      status: '2',
      taskNodeName: '来访登记',
      mediResult: '22_00025-1',
      handleContent: '调解成功，双方达成一致意见。',
      operationName: '李晓明'
    },
    {
      handlerUserName: '系统派单',
      finishTime: new Date().getTime() - 12 * 60 * 60 * 1000, // 半天前的时间
      handleResult: '1',
      status: '2',
      taskNodeName: '事件流转',
      mediResult: '22_00025-1',
      handleContent: '派单至：白云区新市街市场监管所',
    },
    {
      handlerUserName: '白云区新市街市场监管所',
      finishTime: new Date().getTime() - 11 * 60 * 60 * 1000, // 半天前的时间
      handleResult: '1',
      status: '2',
      taskNodeName: '事件流转',
      mediResult: '22_00025-1',
      handleContent: '已签收',
      operationName: '赵菲菲'
    },
    {
      handlerUserName: '白云区新市街市场监管所',
      finishTime: new Date().getTime() - 10 * 60 * 60 * 1000, // 半天前的时间
      handleResult: '1',
      status: '3',
      taskNodeName: '事件回退',
      mediResult: '22_00025-1',
      // handleContent: '已签收',
      operationName: '赵菲菲'
    },
    {
      handlerUserName: '白云区新市街综治中心',
      finishTime: new Date().getTime() - 9 * 60 * 60 * 1000, // 半天前的时间
      handleResult: '1',
      status: '2',
      taskNodeName: '回退审核',
      mediResult: '22_00025-1',
      handleContent: '通过',
      operationName: '赵菲菲'
    },
    {
      handlerUserName: '白云区综治中心',
      finishTime: new Date().getTime() - 6 * 60 * 60 * 1000, // 6小时前的时间
      handleResult: '2',
      status: '1',
      taskNodeName: '审核中',
      mediResult: '22_00025-1',
      handleContent: '案件已被签收，准备开始调解。',
      operationName: '李晓明'
    },
  ];
  return (
    <div className='reviewProgress'>
      {fakeData.map((item, index) => {
        const flag = index + 1 === fakeData.length
        return <div style={{ display: 'flex' }}>
          <div style={{ marginRight: '10px' }}>
            <div className='reviewCircle' style={flag ? { borderColor: '#EF6C24' } : {}}></div>
            {!flag && <div className='reviewLine'></div>}
          </div>
          <div>
            <div className='deepTitle'>{item.handlerUserName}（{item.taskNodeName}）</div>
            {!flag &&
              <>
                <div className='shallowTitle'>
                  操作人：<span>{item.operationName}<img src={register} alt="" className="title-register" /></span>
                </div>
                <div className='shallowTitle'>
                  操作时间：<span>{item.mediResult}</span>
                </div>
                <div style={{ height: '34px' }}></div>
              </>
            }
          </div>
        </div>

      })}

    </div>
  )
}
